TSPIN(1)

NAME
tspin - log file highlighter and a drop-in replacement for tail -f

SYNOPSIS
tspin [OPTIONS] [FILE]

DESCRIPTION
A log file highlighter

  Arguments:

    [FILE]

    Filepath

OPTIONS

-f, --follow

    Follow the contents of a file

-p, --print

    Print the output to stdout

--config-path <CONFIG_PATH>

    Provide a custom path to a configuration file

-e, --exec <EXEC>

    Run command and view the output in a pager

--highlight <COLOR_WORD>

    Highlights in the form color:word1,word2

    [possible values: red, green, yellow, blue, magenta, cyan]

--enable <ENABLED_HIGHLIGHTERS>

    Enable specific highlighters

    [possible values: numbers, urls, pointers, dates, paths, quotes, key-value-pairs, uuids, ip-addresses, processes, json]

--disable <DISABLED_HIGHLIGHTERS>

    Disable specific highlighters

    [possible values: numbers, urls, pointers, dates, paths, quotes, key-value-pairs, uuids, ip-addresses, processes, json]

--disable-builtin-keywords

    Disable the highlighting of all builtin keyword groups (booleans, nulls, log severities and common REST verbs)

--pager <PAGER>

    Override the default pager command used by tspin. (e.g. `--pager="ov -f [FILE]"`)

    [env: TAILSPIN_PAGER=]

-h, --help

    Print help (see a summary with '-h')

-V, --version

    Print version